# Uses of Interface
org.eclipse.emf.compare.match.eobject.EqualityHelperExtensionProvider

Packages that use EqualityHelperExtensionProvider
Package
Description
org.eclipse.emf.compare.match.eobject
org.eclipse.emf.compare.rcp.internal.match

## Uses of EqualityHelperExtensionProvider in org.eclipse.emf.compare.match.eobject

Methods in org.eclipse.emf.compare.match.eobject that return EqualityHelperExtensionProvider
Modifier and Type
Method
Description
`EqualityHelperExtensionProvider`
EqualityHelperExtensionProvider.Descriptor.`getEqualityHelperExtensionProvider()`
Returns the wrapped equality helper extension provider.
`EqualityHelperExtensionProvider`
EqualityHelperExtensionProvider.Descriptor.Registry.`getHighestRankingEqualityHelperExtensionProvider(EPackage ePackage)`
Retrieve the highest ranking equality helper extension provider from a given `ePackage`.
`EqualityHelperExtensionProvider`
EqualityHelperExtensionProviderDescriptorRegistryImpl.`getHighestRankingEqualityHelperExtensionProvider(EPackage ePackage)`
Retrieve the highest ranking equality helper extension provider from a given `ePackage`.
Methods in org.eclipse.emf.compare.match.eobject that return types with arguments of type EqualityHelperExtensionProvider
Modifier and Type
Method
Description
`Collection<EqualityHelperExtensionProvider>`
EqualityHelperExtensionProvider.Descriptor.Registry.`getEqualityHelperExtensionProviders(EPackage ePackage)`
Retrieve the equality helper extension providers from a given `ePackage`.
`com.google.common.collect.ImmutableList<EqualityHelperExtensionProvider>`
EqualityHelperExtensionProviderDescriptorRegistryImpl.`getEqualityHelperExtensionProviders(EPackage ePackage)`
Retrieve the equality helper extension providers from a given `ePackage`.

## Uses of EqualityHelperExtensionProvider in org.eclipse.emf.compare.rcp.internal.match

Methods in org.eclipse.emf.compare.rcp.internal.match that return EqualityHelperExtensionProvider
Modifier and Type
Method
Description
`EqualityHelperExtensionProvider`
EqualityHelperExtensionProviderDescriptorRCPImpl.`getEqualityHelperExtensionProvider()`
Returns the wrapped equality helper extension provider.